package com.pcloud.book.base.enums;

import java.util.List;

import cn.hutool.core.collection.CollUtil;

/**
 * 魔方书枚举类
 */
public enum MofangBookTypeEnum {
    /**
     * 1-北教小雨
     */
    BJXY(1),
    /**
     * 2-世纪华阳
     */
    SJHY(2),

    /**
     * 3-邹慕白
     */
    ZMB(3),
    /**
     * 4-万有文化
     */
    WYWH(4)
    ;

    public final Integer value;

    private MofangBookTypeEnum(Integer value) {
        this.value = value;
    }

    public static final List<Integer> bjxyType= CollUtil.toList(BJXY.value,SJHY.value);

    public static final List<Integer> zmbType=CollUtil.toList(ZMB.value,WYWH.value);
}
